<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head> 
    <title>Login</title> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<!--Plugin-->
    <link rel="stylesheet" th:href="@{/css/vendor/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{/css/style.css}"/>
</head>
  <body>
    <div id="login">
        <div class="container">
            <div id="login-row" class="row justify-content-center align-items-center">
                <div id="login-column" class="col-md-6">
                    <div id="login-box" class="col-md-12">
                        <form id="login-form" class="form" th:action="@{/login}" method="post" autocomplete="off">
                            <h3 class="text-center text-info">Login</h3>
                            <div th:if="${param.error}" class="alert alert-danger">    
		                    Invalid username and password.
		                </div>
		                <div th:if="${param.logout}" class="alert alert-success"> 
		                    You have been logged out.
		                </div>
                            <div class="form-group">
                                <label for="username" class="text-info">Username:</label><br>
                                <input type="text" name="username" id="username" class="form-control" placeholder="Username">
                            </div>
                            <div class="form-group">
                                <label for="password" class="text-info">Password:</label><br>
                                <input type="password" name="password" id="password" class="form-control" placeholder="Password">
                            </div>
                             <div class="form-group">
                                 <button type="submit" class="btn btn-primary btn-block">Log in</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <footer>
	    <!--Plugin Script-->
	    <script th:src="@{/js/vendor/jquery-3.3.1.min.js}"></script>
	    <script th:src="@{/js/vendor/bootstrap.bundle.min.js}"></script>
    </footer>
  </body>
</html>